### Function

# GLib fprintf

since: 2.2

#### Declaration

    gint
    g_fprintf (
      FILE* file,
      const gchar* format,
      ...
    )

#### Description

An implementation of the standard `fprintf()` function which supports positional parameters, as specified in the Single Unix Specification.

`glib/gprintf.h` must be explicitly included in order to use this function.

Available since: 2.2

This function is not directly available to language bindings.

#### Parameters

`file`

  Type: `FILE*`

  The stream to write to.

  The data is owned by the caller of the function.

`format`

  Type: `const gchar*`

  A standard `printf()` format string, but notice string precision pitfalls

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  The arguments to insert in the output.

#### Return value

Type: `gint`

The number of bytes printed.